/*
 * Structure returned by stat
 */
struct	stat
{
	short	st_dev;		/* device of inode */
	ino_t	st_ino;		/* inode number */
	unsigned short st_mode;	/* mode bits */
	short	st_nlink;	/* number of links to file */
	short  	st_uid;		/* owner's user id */
	short  	st_gid;		/* owners group id */
	short	st_rdev;	/* for special files */
	daddr_t	st_size;	/* file size in characters */
	time_t	st_atime;	/* time last accessed */
	time_t	st_mtime;	/* time last modified */
	time_t	st_ctime;	/* time inode changed */
};

#define	S_IEXEC		0000100		/* execute permission */
#define	S_IWRITE	0000200		/* write permission */
#define	S_IREAD		0000400		/* read permission */

#define S_ISVTX		0001000		/* save swapped text even after use */
#define	S_ISGID		0002000		/* set group id on execution */
#define	S_ISUID		0004000		/* set user id on execution */

#define	S_IFMT		0170000		/* file type mask */

#define	S_IFCHR		0020000		/* character device */
#define S_IFMPC		0030000		/* reserved */
#define	S_IFDIR		0040000		/* directory */
#define S_IFNAM		0050000		/* reserved */
#define	S_IFBLK		0060000		/* block device */
#define S_IFMPB		0070000		/* reserved */
#define	S_IFREG		0100000		/* regular file */
